curl --request POST \
--url https://api.aryn.cloud/v1/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"docset_id": "<string>",
"query": "<string>",
"plan": {
"query": "<string>",
"nodes": {},
"result_node": 123,
"llm_prompt": "<unknown>",
"llm_plan": "<string>"
},
"stream": false,
"summarize_result": false,
"rag_mode": false
}
'import requests
url = "https://api.aryn.cloud/v1/query"
payload = {
"docset_id": "<string>",
"query": "<string>",
"plan": {
"query": "<string>",
"nodes": {},
"result_node": 123,
"llm_prompt": "<unknown>",
"llm_plan": "<string>"
},
"stream": False,
"summarize_result": False,
"rag_mode": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
docset_id: '<string>',
query: '<string>',
plan: {
query: '<string>',
nodes: {},
result_node: 123,
llm_prompt: '<unknown>',
llm_plan: '<string>'
},
stream: false,
summarize_result: false,
rag_mode: false
})
};
fetch('https://api.aryn.cloud/v1/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Run Query
Run the given query.
If the stream parameter is set to true, the result will be streamed back to the client as a series of SSE events.
Otherwise, the result will be returned as a QueryResult object.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A query against a DocSet. Contains either a natural language string or a query plan.
The docset against which to run the query
The natural language query to run. if specified, plan must not be set.
The logical query plan to run. If specified, query must not be set.
Show child attributes
Show child attributes
If true, query results will be streamed back to the client as they are generated. Applies only when calling the query api.
If true, an english summary of the result in context of the original query will be returned.
Applies only when calling the query API and only available when stream=True
If true, the query will only run a RAG query plan.
Response
Successful Response
Was this page helpful?
